Name: mos-docdir
Version: 2.0
Release: alt2

Summary: M Operation System documentation
Summary(ru_RU.UTF-8): Директория с обновляемой документацией

License: GPLv3
Group: Documentation
Url: http://osmesh.ru
BuildArch: noarch
Source: %name-%version.tar

Obsoletes: kometa-docdir < 1.0
Conflicts: kometa-docdir < 1.0
Obsoletes: m-os-docdir < 2.0
Conflicts: m-os-docdir < 2.0

%description
%summary.

%description -l ru_RU.UTF-8
Обновляемые файлы документации в директории /usr/share/mos.

%prep
%setup

%install
%define skeldir /etc/skel
%define skeldesktopdir /etc/skel/Рабочий стол
%define docdir /usr/share/mos/doc

mkdir -p %buildroot%docdir
mkdir -p %buildroot%skeldir
mkdir -p %buildroot"%skeldesktopdir"

install -pm644 "Брошюра М ОС на ПК.pdf" "%buildroot%docdir"
install -pm644 "Брошюра М ОС Панели.pdf" "%buildroot%docdir"
ln -sf /usr/share/mos/doc %buildroot/etc/skel/Документация
ln -sf /usr/share/mos/doc %buildroot"%skeldesktopdir/Документация"

%files
"%skeldesktopdir/Документация"
%skeldir/Документация
%dir %docdir
"%docdir/Брошюра М ОС на ПК.pdf"
"%docdir/Брошюра М ОС Панели.pdf"

%pre
if test -d /usr/share/kometa/doc; then
    rm -fvr /usr/share/kometa/doc
    cd /usr/share/kometa
    ln -s ../mos/doc doc
fi

%changelog
* Thu Aug 11 2022 Artem Proskurnev <tema@altlinux.org> 2.0-alt2
- Обновление брошюр

* Mon Aug 08 2022 Artem Proskurnev <tema@altlinux.org> 2.0-alt1
- init build

* Fri Apr 22 2022 Artem Proskurnev <tema@altlinux.org> 1.0-alt1
- init build

